not supported ff19 Puntuado con 3 de 5 estrellas

seems like the addon is not supported on the firefox 19 would love to see an update on this addon.